- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions | Public Attributes | List of all members
AL::Math::glTF::BufferAccessor< T, N > Class Template Reference

`#include <gltf.h>`

## Public Types
using | value_type = std::array< T, N >

## Public Member Functions
| BufferAccessor (std::ostream &os)
void | put (value_type val)

## Public Attributes
value_type | min
value_type | max
size_t | count
std::ostream & | os

## Detailed Description

### template<typename T, size_t N>
class AL::Math::glTF::BufferAccessor< T, N >

Definition at line 230 of file gltf.h.

## Member Typedef Documentation

template<typename T, size_t N>

using AL::Math::glTF::BufferAccessor< T, N >::value_type = std::array<T, N>

Definition at line 232 of file gltf.h.

## Constructor & Destructor Documentation

template<typename T, size_t N>

AL::Math::glTF::BufferAccessor< T, N >::BufferAccessor | ( | std::ostream & | os | ) |
| inline

Definition at line 237 of file gltf.h.

## Member Function Documentation

template<typename T, size_t N>

void AL::Math::glTF::BufferAccessor< T, N >::put | ( | value_type | val | ) |
| inline

Definition at line 241 of file gltf.h.

## Member Data Documentation

template<typename T, size_t N>

size_t AL::Math::glTF::BufferAccessor< T, N >::count

Definition at line 235 of file gltf.h.

template<typename T, size_t N>

value_type AL::Math::glTF::BufferAccessor< T, N >::max

Definition at line 234 of file gltf.h.

template<typename T, size_t N>

value_type AL::Math::glTF::BufferAccessor< T, N >::min

Definition at line 233 of file gltf.h.

template<typename T, size_t N>

std::ostream& AL::Math::glTF::BufferAccessor< T, N >::os

Definition at line 236 of file gltf.h.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/lib/libalmath/almath/scenegraph/gltf.h